DataMapping = {};

DataMapping.JSONTemplates = {};

--JSON POST Templates

DataMapping.JSONTemplates.CreateRequest = {};
--CreateRequest template used for ILLiad Loans
DataMapping.JSONTemplates.CreateRequest.LOAN = {
    requests = {
        {
            barcode = "{Custom:Barcode}",
            request_id = "{TableField:Transaction.TransactionNumber}",
            request_type = "PYR",
            stop = "{TableField:User.NVTGC}",
            title = "{TableField:Transaction.LoanTitle}",
            author = "{TableField:Transaction.LoanAuthor}",
            call_number = "{TableField:Transaction.CallNumber}",
            volume = "",
            requestor = "{TableField:User.LastName} {TableField:User.FirstName}",
            patron_id = "{TableField:User.EmailAddress}",
        }
    };
};

--CreateRequest template used for ILLiad articles
DataMapping.JSONTemplates.CreateRequest.ARTICLE = {
    requests = {
        {
            barcode = "{Custom:Barcode}",
            request_id = "{TableField:Transaction.TransactionNumber}",
            request_type = "ERT",
            stop = "{TableField:User.NVTGC}",
            title = "{TableField:Transaction.PhotoJournalTitle}",
            author = "{TableField:Transaction.PhotoItemAuthor}",
            call_number = "{TableField:Transaction.CallNumber}",
            volume = "{TableField:Transaction.PhotoJournalVolume}",
            requestor = "{TableField:User.LastName} {TableField:User.FirstName}",
            patron_id = "{TableField:User.EmailAddress}",
        }
    };
};